#!/bin/sh

if [[ ! -z `(python -V 2>&1) | grep '\([2-9].[2-9]..\)\|\(3.1..\)'` ]] 
then
	APP_DIR=`python -c 'import os.path, sys
apprun = os.path.realpath(sys.argv[1])
print os.path.dirname(apprun)' "$0"`
else
	APP_DIR=`dirname "$0"`
	APP_DIR=`cd "$APP_DIR";pwd`
fi
export APP_DIR

ARCH=`uname -m`
case $ARCH in
	i?86) ARCH=ix86 ;;
esac
PLATFORM=`uname -s`-$ARCH

cd "$APP_DIR"
rm -rf "$APP_DIR/$PLATFORM"
rm -rf CVS
rm -rf Help/CVS Help/Icons/CVS
rm -rf Resources/CVS
cd src
autoconf
make clean
rm -rf autom4te.cache CVS Icons/CVS Old_Icons/CVS
rm -f config.cache config.status config.h Makefile
